lighttpd2 (2.0.0~snap-20230105-130033-gf046f4-2) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 05 Jan 2023 13:04:47 +0000

lighttpd2 (2.0.0~snap-20230105-130033-gf046f4-1) unstable; urgency=low

  * new snapshot gf046f4
    + fix spelling
    + [core] improve comments

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 05 Jan 2023 13:00:51 +0000

lighttpd2 (2.0.0~snap-20230105-125509-gb96d24-1) unstable; urgency=low

  * new snapshot gb96d24
    + [tests] use raw tcp for bad url request test
    + [core] remove HEDLEY_FALL_THROUGH from empty case

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 05 Jan 2023 12:55:31 +0000

lighttpd2 (2.0.0~snap-20210915-112948-g29e57d-1) unstable; urgency=low

  * new snapshot g29e57d
    + [core] re-enable listening sockets

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 15 Sep 2021 11:30:10 +0000

lighttpd2 (2.0.0~snap-20210812-152501-g2ae359-1) unstable; urgency=low

  * new snapshot g2ae359
    + [core] fix li_path_simplify comment: always operating in-place
    + [doc] fix ino/dev field in lua stat, add lighty.path_simplify to global methods

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 12 Aug 2021 15:25:22 +0000

lighttpd2 (2.0.0~snap-20210808-143939-gad6668-1) unstable; urgency=low

  * new snapshot gad6668
    + [core] check cpu index in cpu_affinity handling
    + [core] support workers.cpu_affinity on FreeBSD (#3071)
    + [core] use IPPROTO_TCP instead of SOL_TCP for TCP_FASTOPEN (#3071)
    + [core] put HEDLEY_NO_RETURN at front of declaration

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 08 Aug 2021 14:40:00 +0000

lighttpd2 (2.0.0~snap-20210805-160443-g54d7b4-1) unstable; urgency=low

  * new snapshot g54d7b4
    + [core] include and use hedley (v15) header
    + [lua] split all metatable init/create code into separate functions
    + [lua] one li_lua_init_*_mt function per "file", add a few missing ones
    + [lua] prevent tampering with global "lighty" table
    + [lua] provide and use li_lua_new_protected_metatable to prevent tampering with metatables
    + [lua] protect setup and action metatable

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 05 Aug 2021 16:05:07 +0000

lighttpd2 (2.0.0~snap-20210718-102016-gb41e02-1) unstable; urgency=low

  * new snapshot gb41e02
    + [mod_proxy] fall back to waiting for connection close if no message length indicator is found in HTTP/1.1 response

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 18 Jul 2021 10:20:38 +0000

lighttpd2 (2.0.0~snap-20210504-192022-gb033a4-1) unstable; urgency=low

  * new snapshot gb033a4
    + fix refcount issue: don't drop rc in li_iostream_reset
    + [test] enable TestRedirectDirWithQueryAndSpecialChars

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Tue, 04 May 2021 19:20:44 +0000

lighttpd2 (2.0.0~snap-20210228-191007-g850aea-1) unstable; urgency=low

  * new snapshot g850aea
    + [autobuild] raise autoconf min version, fix various deprecated macros
    + [autobuild] install and use glib tap helpers, replaces gtester
    + [build] enable all "main" features by default

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 28 Feb 2021 19:10:30 +0000

lighttpd2 (2.0.0~snap-20210228-174012-gc8bf63-1) unstable; urgency=low

  * new snapshot gc8bf63
    + [contrib] add overrides for new mime types, regenerate mimetypes.conf
    + [tests] fix memcached and scgi-envcheck for python3; use asyncio

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 28 Feb 2021 17:40:35 +0000

lighttpd2 (2.0.0~snap-20210228-125458-g424e1a-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dh-systemd build dependency (transitional since stretch)
  * use debhelper and compat 10
  * bump standards to 4.5.1
  * cleanup rules; use PYTHONDONTWRITEBYTECODE instead of manual cleanup

 -- Stefan Bühler <stbuehler@web.de>  Sun, 28 Feb 2021 14:10:50 +0100

lighttpd2 (2.0.0~snap-20210228-125458-g424e1a-1) unstable; urgency=low

  * new snapshot g424e1a
    + [mod_acceslog]: fix log target reference in docs
    + [core] docs say empty log targets request not logging; actually implement that (went to stderr)
    + [core] Reset con->out (response body) queue counters (used by mod_accesslog) for keep-alive

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 28 Feb 2021 12:55:23 +0000

lighttpd2 (2.0.0~snap-20200622-192935-ga5d3e1-1) unstable; urgency=low

  * new snapshot ga5d3e1
    + [tests] fix PrepareDir
    + [core]: fix query string handling in li_vrequest_redirect_directory (dirlist, index)
    + [core] encode path in li_vrequest_redirect_directory
    + [tests] add tests for mod_dirlist

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 24 Jun 2020 21:16:59 +0000

lighttpd2 (2.0.0~snap-20190831-124440-g505bfb-2) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 19 Apr 2020 15:29:56 +0000

lighttpd2 (2.0.0~snap-20190831-124440-g505bfb-1) unstable; urgency=low

  * new snapshot g505bfb
    + [mod_{fast,s}cgi] support REQUEST_SCHEME cgi variable
    + [core] move CGI environment creation to core

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 31 Aug 2019 12:45:10 +0000

lighttpd2 (2.0.0~snap-20190826-064440-gafaf28-1) unstable; urgency=low

  * new snapshot gafaf28
    + [core] fix parsing of chunk digits
    + [core] fix chunk decoding bug: reused stale context after forwarding chunk data

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 26 Aug 2019 06:45:10 +0000

lighttpd2 (2.0.0~snap-20190825-173439-ga41b92-1) unstable; urgency=low

  * new snapshot ga41b92
    + [core] fix segfault in http response streaming

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 25 Aug 2019 17:35:02 +0000

lighttpd2 (2.0.0~snap-20190825-111948-gd8bd40-1) unstable; urgency=low

  * new snapshot gd8bd40
    + [build] sync extra warning flags between cmake and autobuild
    + [core] fix crash when HTTP backend "Upgrade"s

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 25 Aug 2019 11:20:11 +0000

lighttpd2 (2.0.0~snap-20190825-095937-gd167e6-1) unstable; urgency=low

  * new snapshot gd167e6
    + [tests] show error log of failed tests
    + [core] fix fallthrough annotation for gcc
    + [core/mod_proxy] support http backends trying to run keep-alive

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 25 Aug 2019 10:00:02 +0000

lighttpd2 (2.0.0~snap-20190825-092944-gf60b53-1) unstable; urgency=low

  * new snapshot gf60b53
    + [tests] build custom http backend server, require python3 for socketserver

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sun, 25 Aug 2019 09:30:11 +0000

lighttpd2 (2.0.0~snap-20190824-215952-g9263de-1) unstable; urgency=low

  * new snapshot g9263de
    + [core] fix log level of connection: (backend) response header parsing
    + [tests] python3 compability

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 24 Aug 2019 22:00:18 +0000

lighttpd2 (2.0.0~snap-20190627-194615-gf66def-1) unstable; urgency=low

  * new snapshot gf66def
    + [doc] mod_fastcgi: extend php fastcgi example with physical file test

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 27 Jun 2019 19:47:02 +0000

lighttpd2 (2.0.0~snap-20180908-221044-gbda1a9-1) unstable; urgency=low

  * new snapshot gbda1a9
    + [core] add strict.post_content_length option

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 08 Sep 2018 22:11:31 +0000

lighttpd2 (2.0.0~snap-20170729-134019-gbc6b25-1) unstable; urgency=low

  * new snapshot gbc6b25
    + [core] use readdir instead of readdir_r

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 29 Jul 2017 13:40:53 +0000

lighttpd2 (2.0.0~snap-20170729-132035-gb3dcc9-1) unstable; urgency=low

  * new snapshot gb3dcc9
    + [mod_openssl] fix crash with libressl or openssl < 1.1
    + [mod_openssl] fix C90 mixed declarations and code warning

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 29 Jul 2017 13:21:14 +0000

lighttpd2 (2.0.0~snap-20170726-080037-g8c68b1-2) unstable; urgency=medium

  * sync debian/control from "snapshot" package
  * split lists into one item per line in debian/control
  * remove deprecated (alternative) names in build dependencies
  * update debian/compat to 9
  * use debhelper without cdbs
    + /usr/lib contents now multiarch (libexecdir), update install and
      overrides accordingly
  * remove explicit -dbg package (-> dbgsym packages)

 -- Stefan Bühler <source@stbuehler.de>  Sat, 29 Jul 2017 13:15:14 +0200

lighttpd2 (2.0.0~snap-20170726-080037-g8c68b1-1) unstable; urgency=low

  * new snapshot g8c68b1
    + [mod_gnutls] support OCSP responses in sni backends

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 26 Jul 2017 08:01:15 +0000

lighttpd2 (2.0.0~snap-20170726-063049-ge0e96a-1) unstable; urgency=low

  * new snapshot ge0e96a
    + [plugin_core] fix segfault in fetch.files_static init

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 26 Jul 2017 06:31:31 +0000

lighttpd2 (2.0.0~snap-20170520-155542-g808cdf-2) unstable; urgency=medium

  * Fix debug package dependency

 -- Stefan Bühler <source@stbuehler.de>  Wed, 26 Jul 2017 08:20:21 +0200

lighttpd2 (2.0.0~snap-20170520-155542-g808cdf-1) unstable; urgency=low

  * new snapshot g808cdf
    + [doc build] remove markdown support
    + handle ENAMETOOLONG in various places

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 20 May 2017 15:56:15 +0000

lighttpd2 (2.0.0~snap-20170512-115533-gf6990a-1) unstable; urgency=low

  * new snapshot gf6990a
    + [plugin_core] support patterns in alias target

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 12 May 2017 11:56:13 +0000

lighttpd2 (2.0.0~snap-20170102-162136-gca4469-1) unstable; urgency=low

  * new snapshot gca4469
    + [mod_openssl] fix warnings and compile breaks with openssl 1.1.0
    + [mimetypes.conf] add text/markdown to utf-8 list, regenerate mimetypes.conf

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Mon, 02 Jan 2017 16:22:19 +0000

lighttpd2 (2.0.0~snap-20161130-194027-g640969-1) unstable; urgency=low

  * new snapshot g640969
    + [mod_openssl/doc] Update links to man pages

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 30 Nov 2016 19:41:01 +0000

lighttpd2 (2.0.0~snap-20161130-190037-ga4804c-1) unstable; urgency=low

  * new snapshot ga4804c
    + Add NO_TLSv1_1 and higher options

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Wed, 30 Nov 2016 19:01:22 +0000

lighttpd2 (2.0.0~snap-20161021-182036-g3d2880-1) unstable; urgency=low

  * new snapshot g3d2880
    + [mod_gnutls] workaround gnutls API breakage, and prepare for future ones

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 21 Oct 2016 18:21:17 +0000

lighttpd2 (2.0.0~snap-20160902-102506-g9926be-1) unstable; urgency=low

  * new snapshot g9926be
    + [doc] decode HTML entities in code/markdown/textile blocks
    + [mod_gnutls/doc] more details which certificates are needed for OCSP

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 02 Sep 2016 10:25:37 +0000

lighttpd2 (2.0.0~snap-20160827-232001-g98a140-1) unstable; urgency=low

  * new snapshot g98a140
    + [mod_gnutls/docs] ocsptool is the ocsp tool

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 23:20:27 +0000

lighttpd2 (2.0.0~snap-20160827-184511-gfc0119-1) unstable; urgency=low

  * new snapshot gfc0119
    + [mod_gnutls] use gnutls_pem_base64_decode_alloc instead of gnutls_pem_base64_decode2 (compat name for old versions)

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 18:45:59 +0000

lighttpd2 (2.0.0~snap-20160827-182525-gdca420-1) unstable; urgency=low

  * new snapshot gdca420
    + [core] disable strict-alias warnings for libev wrappers

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 18:25:52 +0000

lighttpd2 (2.0.0~snap-20160827-180506-gd72a3c-1) unstable; urgency=low

  * new snapshot gd72a3c
    + [mod_gnutls] add basic OCSP response stapling support

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 18:05:33 +0000

lighttpd2 (2.0.0~snap-20160827-122509-g7fb014-1) unstable; urgency=low

  * new snapshot g7fb014
    + [mod_gnutls] use only pin callback, don't pass pin as parameter

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 12:25:34 +0000

lighttpd2 (2.0.0~snap-20160827-104009-g6a0e57-1) unstable; urgency=low

  * new snapshot g6a0e57
    + use _DEFAULT_SOURCE instead of _BSD_SOURCE
    + [parsers] fix unused variable warnings

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 10:40:37 +0000

lighttpd2 (2.0.0~snap-20160827-093643-g130f14-1) unstable; urgency=low

  * new snapshot g130f14
    + [cmake] handle include directories separately
    + [config] expect exactly one comma between list entries

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Aug 2016 09:37:22 +0000

lighttpd2 (2.0.0~snap-20151204-132651-g3a4698-1) unstable; urgency=low

  * new snapshot g3a4698
    + [pattern] fix all calls of li_pattern_eval to provide latest regex match

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 04 Dec 2015 13:37:17 +0000

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add lost systemd unit

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 14:05:43 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix package dependencies for hopefully more smooth upgrade paths

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 13:58:59 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Split lighttpd2-bin packages containing the binaries; lighttpd2 contains
    the systemd service now and conflicts with lighttpd2-run

 -- Stefan Bühler <stbuehler@web.de>  Sat, 24 Oct 2015 13:43:28 +0200

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-2) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 23 Oct 2015 15:44:55 +0000

lighttpd2 (2.0.0~snap-20150810-103940-gd2c6a2-1) unstable; urgency=low

  * new snapshot gd2c6a2
    + [core] close out stream nicely on regular shutdown (fixes openssl session problem)
    + [mod_openssl] various fixes, fix error handling
    + Add systemd unit file
    + track event "names" for debugging
    + [mod_debug] debug events
    + [lua] handle filter->vr == NULL in lua filters, handle filter->in == NULL in xsendfile
    + mimetypes.conf: add some new mime types, remove .dat, .sha1, .md5, update .vcf
    + [mod_debug] show more details for events
    + [common] fix out-of-bounds read in li_sockaddr_to_string
    + [automake] add missing files to dist tar
    + [common] format IPv6 addresses with port as [addr]:port (added the square brackets)
    + [request parser] adapt whitespace removal from response parser, fixes bug removing last character if CR was missing
    + [streams] improve stream handling, hopefully fixes bug with lingering backend connections
    + [debug] provide more unique event names for waitqueues
    + ignore CMakeLists.txt.user (qtcreator)
    + [ssl] don't exit early when there is no data to write; otherwise EOS stream handling is not triggered
    + use g_assert instead of g_assert_true for older glib2 versions

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Thu, 13 Aug 2015 19:14:57 +0000

lighttpd2 (2.0.0~snap-20141109-104005-g93d04a-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * ignore missing doc/*.js sources

 -- Stefan Bühler <stbuehler@web.de>  Mon, 10 Aug 2015 12:34:48 +0200

lighttpd2 (2.0.0~snap-20141109-104005-g93d04a-1) unstable; urgency=low

  * new snapshot g93d04a
    + [doc] clarify "physical.exists" semantic
    + [mod_gnutls] when an alert is received print its actual value
    + [mod_gnutls] allow pemfile to accept a key-value list of a certificate and key
    + [doc] improve section about DH/DSA parameters in mod_gnutls
    + [doc] mod_gnutls: add comment that reusing keys in DH is not recommended anyway
    + [mod_gnutls] improve alert handling
    + [mod_openssl] allow all authentication methods in default cipher string
    + [tests] use gnutls certtool to create test ca

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Fri, 21 Nov 2014 23:28:06 +0000

lighttpd2 (2.0.0~snap-20140824-165447-g912b46-1) unstable; urgency=low

  * new snapshot g912b46
    + [mod_gnutls] remove broken include
    + [docs] some small fixes
    + [docs] fix links, add index page, add small introduction, add lua config / api
    + [docs] fix xml error
    + [docs] fix typos, add some details, add rewrite_raw action
    + [core] expose request.raw_path as condition variable
    + [mod_rewrite] rewrite_raw result gets decoded
    + [tests] small cleanups: use req_header.overwrite, no_docroot option
    + [mod_proxy] use raw_path instead of re-encoded path
    + [docs] fix typo
    + [docs] generate link back to index in sub pages
    + [mox_rewrite,mod_proxy,docs] fix request.raw_path handling (includes query-string)
    + [autobuild] fix configure to search for openssl in the specified paths

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sun, 24 Aug 2014 19:46:50 +0000

lighttpd2 (2.0.0~snap-20140522-g47c1cf-1) unstable; urgency=low

  * new snapshot g47c1cf
    + [doc] add script to generate mimetypes.conf
    + [autobuild] fix duplicate config.h install and remove config.h from dist tarball
    + [mod_openssl] wrap all options in #ifdef
    + [mod_openssl] fix default cipher string
    + [angel] check setgid/setuid/... return values and abort on failure
    + [angel] don't load angel core plugin for shut down, so the core plugin doesn't respawn a worker with default settings
    + [tests] add a 0.2 second sleep before testing memcache lookup after store
    + [value] move value functions that depend on angel / main implementations into separate file, included in the other implementations
    + [tests] increase timeout for https requests

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Thu, 22 May 2014 21:29:02 +0000

lighttpd2 (2.0.0~snap-20140415-gb6ee92-2) unstable; urgency=low

  * Add buildbot@lighttpd.net to uploaders

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 15 Apr 2014 13:53:32 +0200

lighttpd2 (2.0.0~snap-20140415-gb6ee92-1) unstable; urgency=low

  * new snapshot gb6ee92
    + [backends: scgi,proxy,fastcgi] update *context immediately after *backend_get
    + [angel] rewrite parser, changing syntax (similar to main config)
    + [common] remove hash value type (use key/value lists instead)
    + [angel] rewrite config handling, rename items, document it
    + [angel] merge allow_listen_* items
    + [ip-parser] allow [ipv6]/net:port and [ipv6/net]:port for IPv6 address + network + port
    + [core] convert all assert() to LI_FORCE_ASSERT(), and support writing backtraces on fatal errors with libunwind
    + [doc] always show angel doc in toc
    + [profile] add missing utils.h include
    + [autotools] support libunwind without pkg-config
    + [liValue] fix dereference after NULL check
    + [idlist] fix bad shift operations
    + [liValue] fix missing break in switch statement
    + [angel] fix memory leak on error in angel config parser
    + [fastcgi] assert pointer is not NULL before dereference before NULL check in a loop
    + assert many previously unchecked return values, handle some explicitly, remove FD_CLOEXEC in worker - mustn't fork
    + [actions] fix dereference before null check
    + [angel] fix missing break in switch statement in config parser for casting string to int
    + fix wrong operator to check for set bit in events
    + [simple-stream] fix double assignment
    + fix some socket address handlings - limit unix socket path names to struct size
    + [config parser] copy fixes from angel config parser
    + [angel_fake] use li_sockaddr_from_string in li_angel_fake_listen

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 15 Apr 2014 11:47:08 +0000

lighttpd2 (2.0.0~snap-20140318-gb5edda-3) UNRELEASED; urgency=low

  * add libunwind build dependency

 --  <buildbot@lighttpd.net>  Tue, 15 Apr 2014 13:45:31 +0200

lighttpd2 (2.0.0~snap-20140318-gb5edda-2) unstable; urgency=low

  * fix paths (doc/ -> contrib/)

 --  <buildbot@lighttpd.net>  Tue, 18 Mar 2014 14:54:28 +0100

lighttpd2 (2.0.0~snap-20140318-gb5edda-1) unstable; urgency=low

  * new snapshot gb5edda
    + [core] support chunked uploads
    + [stream-http-response] support chunk encoded responses
    + [core] handle Connection: Upgrade
    + [core] fix connection timeout handling
    + [angel,tests] implement and use "one-shot" option to not restart crashed workers
    + [core] add option to disable buffering large request bodies on disk - forward them to backend directly instead
    + [mod_gnutls] fix beast workaround (force RC4 on TLS1.0 and SSL3.0)
    + [mod_gnutls] session ticket support
    + [mod_gnutls] support DH parameters, use pregenerated 3247 bit parameter by default
    + [mod_gnutls] add memory session database
    + [mod_gnutls] actually use dh params loaded from file
    + [mod_gnutls] use 4096-bit DH params by default
    + [core] implement generic "fetch" api
    + [core] add global named fetch pool; all backends have to return strings. implement a simple backend.
    + [mod_gnutls] add SNI
    + fix bugs and warnings reported by clang
    + [mod_gnutls] fix compile error when compiling without SNI
    + Fix autoconf libidn detection
    + [mod_gnutls] add sni-fallback-pemfile option
    + automake: force serial-tests runs, fix USE_SNI handling
    + [automake] workaround automake serial-tests option
    + add ssl_sni_parser.h to make dist
    + [mod_gnutls] send alerts instead of aborting, allow safe renegotiations
    + [mod_gnutls,fetch api] associate sni certs with dh params, fix fetch bug
    + [ssl_sni_parser] debugging, fix parser bug (wrong shift)
    + [gnutls filter] fix cork handling
    + define _XOPEN_SOURCE 600 for _POSIX_C_SOURCE 200112L, which should fix IPv6/sockaddr_in6 on BSD
    + include lighttpd/settings.h instead of base.h in common source
    + [mod_gnutls] fix segfault when no sni backend was configured
    + [throttle] fix connection throttling refill calculation
    + [tests] Fix uploadcheck for BSD (providing sha1 instead of sha1sum)
    + [tests] add /sbin and others to PATH for sha1 on FreeBSD
    + [tests] cgi: check stderr and exit error with delayed upload
    + [core] cleanup settings.h - openssl not needed in global headers
    + [core] only use feature test macros on linux
    + [fetch] use signed integers for liFetchDatabase refcount
    + [fastcgi] add debug prints before all fastcgi_reset calls, don't reset connection on stderr data if connection was already closed
    + [tests] fix path issues
    + [doc] fix wiki link to the redirect target
    + [plugin_core] docroot: show stat() errors for all entries when debug log is enabled
    + [events] use smaller repeat value to trigger timer "again" (100ms was clearly too large, 0.1ms should do)
    + [gnutls] fix cleanup order (use-after-free)
    + [core] add req_header.* actions
    + [tests/mod_deflate] test removing Accept-Encoding header
    + [mod_openssl] enable DH and ECDH
    + [mod_openssl] disable SSL3 by default
    + [doc] update example mime-types
    + [mod_gnutls] parse client hello for sni and protocol version
    + [core] check for disabled keep-alive early to send matching headers
    + [autobuild] fix renamed header ssl_client_hello_parser.h
    + [mod_gnutls] fix build with SNI disabled
    + [mod_gnutls] fix endless loop in client hello parser
    + [core] add li_value_to_key_value_list: convert value hash to key-value list
    + [mod_gnutls] use key-value list for parameters, allows duplicate listen/pemfile parameters
    + [mod_gnutls] remove ca-file option; only needed for not yet supported client cert authentication. add docs in the source
    + [mod_openssl] support key-value list for multiple listen parameters
    + [mod_openssl] error out on unknown parameters
    + [plugin_core] index action should do less stat() calls now, especially for multiple names
    + [waf] remove waf for now, doesn't work anymore
    + [autobuild] autogen.sh remove generated files before creating new ones
    + [mod_throttle] fix refcount and double free
    + [core] add li_value_new_hashtable to create a GString -> liValue hashtable
    + [mod_vhost] convert to handling key-value list; make vhost.map_regex predictable
    + [plugin_core] log/setup log: convert to handling key-value list
    + [mod_auth] convert to handling key-value list
    + [core] handle NULL values in li_value_extract* functions
    + [tests] run config test with valgrind too if enabled
    + [mod_lua] convert to handling key-value list
    + [core] li_value_to_string: use => for separating hash keys and values like the config
    + [mod_deflate] convert to handling key-value list
    + [mod_memcached] convert to handling key-value list
    + [tests] add a stub python memcached server, add mod_memcached tests
    + [tests] put scgi application into separate file
    + [doc] update config examples in doc/*.lua to match current syntax
    + [tests] test auth.require_user from doc/core.lua
    + [lua] add lighty.error -> lighty.print alias
    + [tests] only use cache.disk.etag if request was handled
    + [lua] fix usage of lua_typename
    + [lua] push list values with __index metamethod to lookup string/nil keys in key-value lists
    + [mod_vhost] fix config mem leak
    + [log] fix small mem leak
    + [tests] add --valgrind-leak option
    + [core] handle differences between options/actions/setups in plugin.c
    + [misc] use less C99 features
    + [core/modules] refactor config handling
    + [core] rewrite config parser
    + [lua] fix key-value list handling and export of lists
    + [tests] test secdownload.lua and the lua key-value list lookup
    + [tests] cleanup to use new config style
    + replace g_hash_table_contains with g_hash_table_lookup
    + [config] fix bugs in new config handling
    + [config] fix mem leaks in config parser
    + [config] fix bug in config parser (failed parsing names followed by a comma)
    + [plugin_core] fix alias action
    + [mod_redirect] fix segfault in config parsing
    + [config] fix more bugs in new config handling
    + [mod_gnutls] announce http/1.1 in ALPN
    + [mod_gnutls] disable protect-against-beast by default now - considered mitigated on client side
    + [plugin_core] fix some setup parameter handling
    + [config] setup only allowed in master config context
    + [doc] update to new config syntax
    + [ŧests] more tests, improve handling
    + [config] fix cast(string)
    + [tests] add own test CA and test gnutls and openssl basic functionality
    + [config] fix missing reference (segfault on shutdown)
    + [autobuild] use autoreconf instead of calling tools manually; update .gitignore
    + [config] allow setting vars in setup block
    + [mod_proxy] send Content-Length for all non GET/HEAD requests
    + restructure docs
    + [doc] document core config and modules in tree
    + [tests] include test ca in dist
    + remove old test file
    + [autotools] include cmake files in dist
    + [autotools] remove generated ragel parsers from dist
    + [dist] add script to show differences between git and dist
    + [mod_status] use PACKAGE_BUILD_DATE instead of __DATE__/__TIME__
    + [core] make PACKAGE_BUILD_DATE an embeddable string constant
    + [core] add PACKAGE_NO_BUILD_DATE define to disable PACKAGE_BUILD_DATE
    + [mod_gnutls] don't abort if 'NORMAL:-CIPHER-ALL:+ARCFOUR-128' is not recognized, use 'NORMAL' instead
    + [autotools] search math lib m for fmod
    + [common] refactor liValue to share most of the code
    + [config] fix conditional parsing
    + [plugin_core] fix index "/filename" handling

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 18 Mar 2014 13:40:36 +0000

lighttpd2 (2.0.0~snap-20130601-g4706cc-1) unstable; urgency=low

  * new snapshot g4706cc
    + [tests] add --valgrind option
    + Fix comment style (//) and add gnutls to automake distcheck
    + [core] implement streams on chunkqueues
    + generic backends
    + [core] Use streams
    + [mod_fastcgi]: use backends
    + [mod_scgi] use backends
    + [common] implement libev wrapper
    + [mod_proxy] use backends
    + [openssl] use BIO wrappers for streams
    + [mod_gnutls] stream
    + [core] register server prepare callbacks
    + [throttle] rewrite
    + fix missing li prefixes
    + fix glib deprecation warnings
    + [subrequests lua] fix compile warnings. still not working, needs to be ported to stream api.
    + wait for request body in dynamic backends, cache them on disk
    + [test] mod_fastcgi: upload 2MiB and check sha1sum
    + [tests] use 127.0.0.2 as base address
    + [tests] add deflate support and tests
    + [lua] check values for NULL before pushing to stack
    + [glib] disable deprecation warnings
    + fix filters (deflate, memcached, cache_disk_etag)
    + [mod_fastcgi] add some asserts
    + [mod_fastcgi] fix broken asserts
    + [backends] fix connection insertion
    + more asserts and checks in stream_simple_socket
    + [mod_fastcgi] disable keep-alive for now
    + fix connection handling with chunked responses
    + fix connection is_closed handling (never close raw_out, never close con->out.source->out)
    + [mod_fastcgi] abort request only if headers aren't sent; otherwise stream disconnect will handle it
    + [mod_fastcgi] show stderr messages
    + fix bugs and warnings from compiler warnings (memset parameter order, shadow, ...)
    + [mod_gnutls] use vec_push only if version >= 2.12.0
    + [mod_gnutls] fix issues with giovec_t present before 2.12.0
    + replace unneeded ev_/EV_ references
    + flush sockets after request end by setting TCP_NODELY temporarily
    + [core] use TCP_FASTOPEN on listening sockets if available
    + [mod_throttle] build with automake/wscript too
    + [mod_cache_disk_etag] fix segfault
    + [core] fix half cleaned connection objects
    + [mod_cache_disk_etag] fix use after free
    + fix handling of new connection state
    + [throttle] fix memory leak
    + [filters] fix memleak
    + disable some debug messages
    + [tests] add mod_cache_disk_etag to the mix
    + [filter] don't run filter on stream-dest connect
    + [tests] etag with deflate and cache_disk_etag
    + [mod_fastcgi] fix use after free
    + [mod_fastcgi] next try to fix use after free
    + [mod_openssl,mod_gnutls] fix missing disconnect (mem leak), free buffers (mem leak)
    + [tests] show more output on console with --debug
    + Fix filedescriptor/socket leaking

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sat, 01 Jun 2013 07:12:50 +0000

lighttpd2 (2.0.0~snap-20130522-g6a33c9-1) unstable; urgency=low

  * new snapshot g6a33c9
    + [mod_gnutls] fix ca-file handling
    + [autobuild] fix automake-1.12 problems
    + [tests] extend autowrapper.sh script
    + fix bugs found with clang-3.3 -fsanitize=address,undefined
    + [chunks] extract to plain memory
    + cleanup base.h
    + [core] implement streams on chunkqueues
    + Revert "[core] implement streams on chunkqueues"

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Wed, 22 May 2013 15:18:40 +0000

lighttpd2 (2.0.0~snap-20130506-g186309-1) unstable; urgency=low

  * new snapshot g186309
    + [mod_gnutls] remove \n from log messages
    + [ipv6 parser] Fix type-punned memory access
    + [log] remove different timestamp format handling (one is enough), separate log context (liLogMap) from virtualrequest
    + [chunk/network] use glib error system to report errors (instead of using virtualrequest context)
    + [configparser] allow normal actions and setups with the same name
    + Fix small memleak with server sockets
    + [log] Add changable log contexts (i.e. references to the real one), so a pointer to such context can be used over a longer period of time
    + [plugin_core] Fix closing data stream for invalid ranges in static handling
    + [mod_acceslog] fix escaping of "
    + [log] Remove (broken) locking for g_printerr in li_log_write_stderr - fputs, the default backend, is thread safe
    + Fix use of deprecated g_strcasecmp
    + [mod_deflate] Parse x-gzip/x-bzip2 explicitly and send it back as it was requested (instead of gzip/bzip2)
    + [profiler] use g_static_mutex to trigger mutext memory allocation before registering profiler alloc handlers
    + [lua] Use recursive lock for global lua lock
    + [core_lua] Forward worker pointer to log functions in some lua functions
    + [mod_lua] fix ttl handling for lua.handler
    + [mod_lua] fix docs
    + gitignore update
    + [tests] timeout pycurl requests after 10 seconds
    + [mod_lua] fix order of setting ts_loaded and checking it
    + [collect] Allow to start collect without worker context
    + [tests] add scgi tests
    + [tests] new features for running tests: log to console, kill services again after timeout
    + Release mainaction before stopping workers
    + [lua] force garbage collection
    + [lua] add per lua_State lock
    + [lua] add missing file

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sun, 05 May 2013 22:29:15 +0000

lighttpd2 (2.0.0~snap-20120122-g397245-1) unstable; urgency=low

  * new snapshot g397245
    + [openssl] fix error message for wrong listen option
    + [cmake] fix linker errors with --as-needed (fixes #2360)
    + [mod_flv] don't retry close(fd) on EINTR
    + [plugin_core] fix docroot pattern error handling (fixes #2362)
    + [chunkqueue] skip setting limit if it is the current one
    + [utils] handle NULL loop in li_ev_io_* event changing
    + [jobqueue] add li_job_stop
    + [http response/request parser] parse method with extra function, fix quoted text, restrict quoted pair
    + [response handling] fix missing connection header
    + fix compile bugs in previous commits
    + [response] fix totally broken response headers if connection header is sent
    + new module: mod_gnutls
    + [gnutls] fix automake
    + [ip-parser] fix ipv4 netmask for /0, added some unit tests

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sun, 22 Jan 2012 12:38:37 +0000

lighttpd2 (2.0.0~snap-20111203-gdd4ed2-1) unstable; urgency=low

  * new snapshot gdd4ed2
    + [plugin_core] rename 'blank' action to 'respond' and allow optional integer, string or list of integer+string parameters which support patterns
    + [mod_status] add status_info_auto
    + [core] change memory profiler output, add minsize parameter to debug.profiler_dump action
    + [core] change connection garbage collector algorithm to free all unused connections up to the maximum of active connections during the last 5 minutes
    + [core] fix for previous commit. gc requency was set to 10s not 5min
    + move profiler code to common lib
    + [mempool]: use g_free instead of free in ALLOC mode
    + connection.c: optimize buffer usage - don't keep too many unused buffers around
    + [core] fix invalid html in auto-generated responses
    + [core] Ignore connection headers from backends
    + [config parser] add 'none' and 'default' keywords
    + [config parser] rename 'o' liValue variables to 'v'. the name was a relict from option variables
    + [profiler] export li_profiler_enabled and li_profiler_hashtable_insert/remove. add heap base/break/size to dump output
    + [mempool] support profiler for mmap allocations. use g_malloc/free instead malloc/free
    + [mod_progress] free data on module unload properly
    + [plugin_core] add 'map' action, which maps the result of a pattern to a user defined action
    + [value] add some functions to handle liValue
    + [mod_openssl] add verify{,-any,-depth,-require}, client-ca-file
    + [mod_openssl] add openssl.setenv action (client, client-cert, server, server-cert)
    + [mod_openssl] add options and defaults
    + [mod_openssl] close connection on client initiated renegotiation
    + [mod_openssl] fix build error if SSL_OP_NO_COMPRESSION isn't defined

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sat, 03 Dec 2011 22:22:09 +0000

lighttpd2 (2.0.0~snap-20111011-g2647a9-1) unstable; urgency=low

  * new snapshot g2647a9
    + [autobuild]: enable large file support for 32-bit builds

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 11 Oct 2011 11:19:58 +0000

lighttpd2 (2.0.0~snap-20110830-gb6e20b-1) unstable; urgency=low

  * new snapshot gb6e20b
    + Config syntax changes and parser fixes:
    + [core]: accept LF instead of CR LF in http requests
    + [config parser]: fix crash with nested conditional blocks, fix some warnings
    + [config parser] change syntax again: user defined variables are now defined as 'x = ...;'. user defined actions are not special anymore
    + [tests]: convert test cases to new config syntax
    + [config parser] fix detection of conflicts between options and uservars
    + [doc]: fix config examples
    + [config parser] don't allow setup blocks or includes in setup blocks
    + [doc] update config examples re latest config syntax changes

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 30 Aug 2011 10:48:25 +0000

lighttpd2 (2.0.0~snap-20110819-gbafba4-1) unstable; urgency=low

  * new snapshot gbafba4
    + On OS X the GNU libtool is prefixed with a g.
    + [doc] Fix: use 'charset' instead 'encoding' in mimetypes.conf
    + [tests] add simple mod-proxy check
    + [core] truncate temp string before evaluating pattern. add comment to pattern.h that li_eval_pattern() does not truncate the string for you
    + [jobqueue] as jobs in the queue could be removed in a callback we can\'t copy the queue to a private one, g_queue_unlink needs the real one
    + [core.cached_html] fix path handling

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Fri, 19 Aug 2011 12:33:11 +0000

lighttpd2 (2.0.0~snap-20110509-g259cdb-1) unstable; urgency=low

  * new snapshot g259cdb
    + [core.lua] fix wsgi pathinfo
    + [utils] fix calculation for sockaddr_un struct size
    + [core] optimize syscalls per connection
    + [mod_accesslog] Fix %r (first request line) formatter

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Mon, 09 May 2011 19:53:18 +0000

lighttpd2 (2.0.0~snap-20110412-g9c80be-1) unstable; urgency=low

  * new snapshot g9c80be
    + [autobuild]: Fix error message if ragel is not found
    + [*cgi env]: Fix REQUEST_URI
    + Increase timeout for angel-listen
    + [angel] Remove unsupported pid-file option

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 12 Apr 2011 21:30:36 +0000

lighttpd2 (2.0.0~snap-20110322-gf461b8-1) unstable; urgency=low

  * new snapshot gf461b8
    + [mod_redirect] Fix patterns using %n references
    + [tests] Add test for %n references in mod_redirect
    + [core] Attempt to fix issue with stalling connections in throttle pools
    + Fix bug in delayed connection handling
    + Fix bug in delayed connection handling, 2nd try
    + [mime-types] Fix mimetype insert, add new test cases to catch this
    + [throttle] Fix segfaults
    + [core]: fix connection/vrequest callbacks to return FALSE after they got reset, so handling stops
    + [mod_balance]: renamed from mod_balancer
    + [plugins] Fix some default options (the raw default-value is only used when there is no parser method)
    + [utils] Fix url decoding for non ascii values (signed char negatives)
    + [tests]: use printf instead of echo in shell cgi script

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Tue, 22 Mar 2011 21:49:02 +0000

lighttpd2 (2.0.0~snap-20101210-gd78939-1) unstable; urgency=low

  * new snapshot gd78939
    + [autotools] Use AC_PROG_LIBTOOL instead of LT_INIT for backward compatibility

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Fri, 10 Dec 2010 13:44:09 +0000

lighttpd2 (2.0.0~snap-20101208-g7a67ba-1) unstable; urgency=low

  * new snapshot g7a67ba
    + [mod_openssl] make sure we get notified for EV_WRITE again
    + [autotools]: make sure pkg-config m4 is available in autoconf, check for ragel in ./configure

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Wed, 08 Dec 2010 11:32:12 +0000

lighttpd2 (2.0.0~snap-20101114-g7a4143-1) unstable; urgency=low

  * new snapshot g7a4143
    + [autotools] add memcached.c
    + [tests]: Bind to relative socket filenames
    + [tests] use /tmp for temporary test directory, fixes problem with too long socket paths
    + [throttle] Fix loop counter (leaded to segfaults)
    + [autoconf] Quote all arguments
    + [autoconf] autoupdate
    + [mod_auth] Fix segfault in auth_handle_deny()
    + [core] Immediately rearm throttle pool and update con when inserting into pool
    + [build] Fix detection of libev
    + [plugin_core] Fix cascading in docroot action
    + [tests] Add test for cascading in docroot action
    + [mod_auth] return 403 instead of 401 in auth.deny
    + [tests] Add test for auth.deny

 -- Lighttpd Buildbot <buildbot@lighttpd.net>  Sun, 14 Nov 2010 13:15:44 +0000

lighttpd2 (2.0.0~snap-20101013-g26d915-1) unstable; urgency=low

  * Update to g26d915

 -- Stefan Bühler <source@stbuehler.de>  Wed, 13 Oct 2010 12:51:57 +0000

lighttpd2 (2.0.0~snap-20101012-gf635eb-1) unstable; urgency=low

  * Update to gf635eb

 -- Stefan Bühler <source@stbuehler.de>  Tue, 12 Oct 2010 14:11:41 +0000

lighttpd2 (2.0.0~snap-20101003-g49e0a4-1) unstable; urgency=low

  * Update to g49e0a4

 -- Stefan Bühler <source@stbuehler.de>  Sun, 03 Oct 2010 15:25:04 +0000

lighttpd2 (2.0.0~snap-20101003-g21d9d5-1) unstable; urgency=low

  * Update to g21d9d5

 -- Stefan Bühler <source@stbuehler.de>  Sun, 03 Oct 2010 14:58:19 +0000

lighttpd2 (2.0.0~snap-20100923-g97088f-1) unstable; urgency=low

  * Update to g97088f

 -- Stefan Bühler <source@stbuehler.de>  Thu, 23 Sep 2010 19:47:58 +0000

lighttpd2 (2.0.0~snap-20100912-ga3b7ce-2) unstable; urgency=low

  * Update to ga3b7ce
  * install lua files

 -- Stefan Bühler <source@stbuehler.de>  Sun, 12 Sep 2010 18:56:54 +0000

lighttpd2 (2.0.0~snap-20100907-g2d57e5-1) unstable; urgency=low

  * Update to g2d57e5

 -- Stefan Bühler <source@stbuehler.de>  Tue, 07 Sep 2010 20:09:53 +0000

lighttpd2 (2.0.0~snap-20100824-g30c649-2) unstable; urgency=low

  * Provide /var/www/index.lighttpd.html

 -- Stefan Bühler <source@stbuehler.de>  Tue, 24 Aug 2010 12:38:28 +0000

lighttpd2 (2.0.0~snap-20100824-g30c649-1) unstable; urgency=low

  * New snapshot

 -- Stefan Bühler <source@stbuehler.de>  Mon, 23 Aug 2010 22:35:53 +0000

lighttpd2 (2.0.0~snap-20100823-1-g0047fe-1) unstable; urgency=low

  * New snapshot

 -- Stefan Bühler <source@stbuehler.de>  Mon, 23 Aug 2010 18:20:08 +0000

lighttpd2 (2.0.0~snap-20100326-1-g64cb4d-1) unstable; urgency=low

  * New snapshot

 -- Stefan Bühler <source@stbuehler.de>  Fri, 26 Mar 2010 14:37:09 +0000

lighttpd2 (2.0.0~snap-0) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Tue, 22 Dec 2009 22:28:10 +0000
